Load Lua code into the Lua environment

- « LuaSandbox::loadBinary

- LuaSandbox::pauseUsageTimer »

- PHP Manual
- LuaSandbox
- Load Lua code into the Lua environment

# LuaSandbox::loadString

(PECL luasandbox >= 1.0.0)

LuaSandbox::loadString — Load Lua code into the Lua environment

### Description

public LuaSandbox::loadString(string `$code`, string `$chunkName` = ''): LuaSandboxFunction

Loads Lua code into the Lua environment.

This is the equivalent of standard Lua's `loadstring()` function.

### Parameters

`code`

  Lua code.

`chunkName`

  Name for the loaded chunk, for use in error traces.

### Return Values

Returns a LuaSandboxFunction which, when executed, will execute the passed $code.

### Examples

Example #1 Loading code into Lua

    <?php

    // create a new LuaSandbox
    $sandbox = new LuaSandbox();

    // Load the code
    $function = $sandbox->loadString(
    <<<CODE
        return "Hello, world"
    CODE
    );

    // Execute the loaded code
    var_dump( $function->call() );

    ?>

The above example will output:

    array(1) {
      [0]=>
      string(12) "Hello, world"
    }

### See Also

- LuaSandbox::registerLibrary() - Register a set of PHP functions as a Lua library
- LuaSandbox::wrapPhpFunction() - Wrap a PHP callable in a LuaSandboxFunction